Package ghidra.app.util.bin.format.golang.rtti

# Enum Class GoApiSnapshot.FuncFlags

java.lang.Object
java.lang.Enum<GoApiSnapshot.FuncFlags>
ghidra.app.util.bin.format.golang.rtti.GoApiSnapshot.FuncFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<GoApiSnapshot.FuncFlags>`, `Constable`

Enclosing class:
  `GoApiSnapshot`

public static enum GoApiSnapshot.FuncFlags extends Enum<GoApiSnapshot.FuncFlags>
Ordinals need to be kept in sync with go-api-parser's FuncFlags_* values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Generic`
  `InterfaceFunc`
  `Method`
  `NoReturn`
  `VarArg`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EnumSet<GoApiSnapshot.FuncFlags>`
  `parse(int i)`
  `static GoApiSnapshot.FuncFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GoApiSnapshot.FuncFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VarArg

    public static final GoApiSnapshot.FuncFlags VarArg

  - ### Generic

    public static final GoApiSnapshot.FuncFlags Generic

  - ### Method

    public static final GoApiSnapshot.FuncFlags Method

  - ### NoReturn

    public static final GoApiSnapshot.FuncFlags NoReturn

  - ### InterfaceFunc

    public static final GoApiSnapshot.FuncFlags InterfaceFunc

- ## Method Details

  - ### values

    public static GoApiSnapshot.FuncFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GoApiSnapshot.FuncFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static EnumSet<GoApiSnapshot.FuncFlags> parse(int i)